| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/thread.h File Reference

Threading and synchronization support. More...

`#include "csutil/ref.h"`
`#include "csutil/refcount.h"`

Go to the source code of this file.

## Classes
class | csCondition
| A condition object. More...
class | csMutex
| A mutual-exclusion object. More...
class | csRunnable
| Abstract interface for objects which can be run in a thread. More...
class | csSemaphore
| A semaphore object. More...
class | csThread
| Representation of a thread of executation. More...
## Enumerations
enum |
| List of errorcodes for threads. More...
enum | csThreadPriority

## Detailed Description

Threading and synchronization support.

Definition in file thread.h.

## Enumeration Type Documentation

anonymous enum

List of errorcodes for threads.

Definition at line 30 of file thread.h.